/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { ChaikinVolatilityIndicatorStrategy } from "./ChaikinVolatilityIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-angular-core";
/**
 * @hidden
 */
export let ChaikinVolatilityIndicator = /*@__PURE__*/ (() => {
    class ChaikinVolatilityIndicator extends StrategyBasedIndicator {
        bk() {
            return new ChaikinVolatilityIndicator();
        }
        get_ab5() {
            return new ChaikinVolatilityIndicatorStrategy();
        }
        get ab5() {
            return this.get_ab5();
        }
        get_aci() {
            return ChaikinVolatilityIndicator.$;
        }
        get aci() {
            return this.get_aci();
        }
        get acq() {
            return typeGetValue(this.c(ChaikinVolatilityIndicator.acr));
        }
        set acq(a) {
            this.h(ChaikinVolatilityIndicator.acr, a);
        }
        acb() {
            return this.acq;
        }
        ack(a) {
            this.acq = a;
        }
    }
    ChaikinVolatilityIndicator.$t = markType(ChaikinVolatilityIndicator, 'ChaikinVolatilityIndicator', StrategyBasedIndicator.$);
    ChaikinVolatilityIndicator.acr = StrategyBasedIndicator.acn(10, ChaikinVolatilityIndicator.$);
    return ChaikinVolatilityIndicator;
})();
